QStyleFactory(3qt)

NAME
QStyleFactory - Creates QStyle objects

SYNOPSIS
#include <ntqstylefactory.h>

  Static Public Members
<li class=fn>QStringList keys () <li class=fn>QStyle * create ( const TQString & key )

DESCRIPTION
The QStyleFactory class creates QStyle objects.

The style factory creates a QStyle object for a given key with QStyleFactory::create(key).

The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

QStyleFactory::keys() returns a list of valid keys, typically including "Windows", "Motif", "CDE", "MotifPlus", "Platinum"," SGI" and "Compact". Depending on the platform, "WindowsXP"," Aqua" or "Macintosh" may be available.

MEMBER FUNCTION DOCUMENTATION

QStyle * QStyleFactory::create ( const TQString & key ) [static]
Creates a QStyle object that matches key case-insensitively. This is either a built-in style, or a style from a style plugin.

See also keys().

Example: themes/wood.cpp.

QStringList QStyleFactory::keys () [static]
Returns the list of keys this factory can create styles for.

See also create().

Example: themes/themes.cpp.

SEE ALSO
http://doc.trolltech.com/ntqstylefactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqstylefactory.3qt) and the Qt version (3.3.8).